declare const rules: {
    "react-component-name": {
        create: (context: import("eslint").Rule.RuleContext) => import("eslint").Rule.RuleListener;
        meta: {
            type: "problem";
            docs: {
                description: string;
                category: string;
                recommended: true;
            };
            messages: {
                noAnonymousFunction: string;
            };
            fixable: "code";
            schema: {
                type: "object";
                properties: {
                    targets: {
                        type: "array";
                        items: {
                            type: "string";
                        };
                        description: string;
                    };
                };
                additionalProperties: false;
            }[];
        };
    };
};
declare const configs: {
    recommended: {
        parserOptions: {
            ecmaFeatures: {
                jsx: boolean;
            };
        };
        rules: {
            "react-component-name/react-component-name": (number | {
                targets: string[];
            })[];
        };
    };
    flat: {
        recommended: {
            rules: {
                "react-component-name/react-component-name": (number | {
                    targets: string[];
                })[];
            };
            languageOptions: {
                parserOptions: {
                    ecmaFeatures: {
                        jsx: boolean;
                    };
                };
            };
        };
    };
};
export { rules, configs };
